> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get creative session

> Get a creative iteration session by ID, including its drafts, evaluator results, and current status.



## OpenAPI

````yaml /v2/buyer-api-v2.yaml get /campaigns/{campaignId}/creative-sessions/{sessionId}
openapi: 3.0.0
info:
  title: Scope3 Buyer API
  version: 2.0.0
  description: |-
    REST API for advertisers to manage advertisers, campaigns, and reporting.

    ## Authentication

    All endpoints require a Bearer token in the Authorization header:
    ```
    Authorization: Bearer your-api-key
    ```

    ## Base URL

    `https://api.interchange.io/api/v2/buyer`

    ## For AI Agents

    AI agents can use the MCP endpoint at `/mcp/v2/buyer` with three tools:
    - `initialize`: Start an MCP session
    - `api_call`: Make REST API calls
    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/buyer
    description: Production server
security: []
tags:
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Advertisers
    description: Manage advertisers
  - name: Product Discovery
    description: Discover and select products
  - name: Campaigns
    description: Manage advertising campaigns
  - name: Creatives
    description: Build, manage, and sync campaign creatives via AdCP Creative Protocol
  - name: Reporting
    description: Access performance metrics
  - name: Event Sources
    description: >-
      Manage event source configurations and log conversion/marketing events for
      attribution
  - name: Property Lists
    description: Validate property lists against AAO registry
  - name: Sales Agents
    description: View and connect sales agents
  - name: Measurement
    description: Measurement sources, records, context, and freshness
  - name: Syndication
    description: Syndicate resources to ADCP agents
  - name: Tasks
    description: Track async operation status
  - name: Planning Briefs
    description: >-
      Share prospective briefs with publishers and collect their
      fit/quote/clarify/decline/book responses (gated by the
      demand-supply-signals flag).
  - name: Buyer Billing
    description: >-
      Consolidated invoicing for buyers — invoices and pending invoice items
      issued by Scope3 across the buyer customer.
  - name: MCP
    description: Model Context Protocol endpoints for AI agents
paths:
  /campaigns/{campaignId}/creative-sessions/{sessionId}:
    get:
      tags:
        - Creatives
      summary: Get creative session
      description: >-
        Get a creative iteration session by ID, including its drafts, evaluator
        results, and current status.
      operationId: getCreativeSession
      parameters:
        - in: path
          name: campaignId
          schema:
            type: string
            minLength: 1
          required: true
        - in: path
          name: sessionId
          schema:
            type: string
            minLength: 1
          required: true
      responses:
        '200':
          description: Get creative session
          content:
            application/json:
              schema:
                type: object
                properties:
                  creative_session_id:
                    type: string
                  campaign_id:
                    type: string
                  presentation:
                    type: string
                    enum:
                      - generative-widgets
                  title:
                    type: string
                  persona:
                    type: string
                  brand:
                    type: string
                  brand_reference:
                    type: object
                    properties:
                      domain:
                        type: string
                        minLength: 1
                      brand_id:
                        type: string
                      industries:
                        type: array
                        items:
                          type: string
                      data_subject_contestation:
                        type: object
                        properties:
                          url:
                            type: string
                            format: uri
                          email:
                            type: string
                            format: email
                            pattern: >-
                              ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                          languages:
                            type: array
                            items:
                              type: string
                        additionalProperties: false
                      brand_kit_override:
                        type: object
                        properties:
                          logo:
                            type: object
                            properties:
                              asset_type:
                                type: string
                                enum:
                                  - image
                              url:
                                type: string
                                format: uri
                              width:
                                type: integer
                                maximum: 9007199254740991
                                minimum: 1
                              height:
                                type: integer
                                maximum: 9007199254740991
                                minimum: 1
                              format:
                                type: string
                              alt_text:
                                type: string
                            required:
                              - asset_type
                              - url
                              - width
                              - height
                            additionalProperties: {}
                          colors:
                            type: object
                            properties:
                              primary:
                                type: string
                                pattern: ^#[0-9A-Fa-f]{6}$
                              secondary:
                                type: string
                                pattern: ^#[0-9A-Fa-f]{6}$
                              accent:
                                type: string
                                pattern: ^#[0-9A-Fa-f]{6}$
                            additionalProperties: false
                          voice:
                            type: string
                          tagline:
                            type: string
                        additionalProperties: false
                    required:
                      - domain
                    additionalProperties: false
                  objective:
                    type: string
                  prompt:
                    type: string
                  accumulated_feedback:
                    type: array
                    items:
                      type: string
                  status:
                    type: string
                    enum:
                      - drafting
                      - refining
                      - evaluating
                      - finalized
                  source_asset:
                    type: object
                    properties:
                      asset_id:
                        type: string
                        minLength: 1
                      label:
                        type: string
                        minLength: 1
                        maxLength: 255
                      url:
                        type: string
                        minLength: 1
                      source:
                        type: string
                        enum:
                          - upload
                          - url
                          - dam
                          - product_catalog
                          - brand_library
                          - local
                          - generated
                      role:
                        type: string
                        enum:
                          - product
                          - logo
                          - background
                          - reference
                          - copy
                          - audio
                          - video
                      locked_asset:
                        type: boolean
                      can_transform:
                        type: boolean
                      preservation_notes:
                        type: string
                        maxLength: 1000
                      rights:
                        type: object
                        properties:
                          status:
                            default: unknown
                            type: string
                            enum:
                              - unknown
                              - owned
                              - licensed
                              - restricted
                              - expired
                          usage:
                            type: string
                          expires_at:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          notes:
                            type: string
                        required:
                          - status
                        additionalProperties: false
                      dimensions:
                        type: object
                        properties:
                          width:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                          height:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                          duration_seconds:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                        additionalProperties: false
                      render_crop:
                        type: object
                        properties:
                          x:
                            type: number
                            minimum: 0
                            maximum: 1
                          'y':
                            type: number
                            minimum: 0
                            maximum: 1
                          width:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                            maximum: 1
                          height:
                            type: number
                            minimum: 0
                            exclusiveMinimum: true
                            maximum: 1
                          units:
                            default: normalized
                            type: string
                            enum:
                              - normalized
                          source:
                            type: string
                            enum:
                              - user
                              - system
                              - dam
                              - product_catalog
                          notes:
                            type: string
                            maxLength: 500
                        required:
                          - x
                          - 'y'
                          - width
                          - height
                          - units
                        additionalProperties: false
                      checksum:
                        type: string
                        minLength: 1
                      mime_type:
                        type: string
                        minLength: 1
                    required:
                      - label
                      - url
                    additionalProperties: false
                  asset_store:
                    type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - linked
                          - session_inline
                          - external
                          - unconfigured
                      summary:
                        type: string
                      assets:
                        type: array
                        items:
                          type: object
                          properties:
                            asset_id:
                              type: string
                              minLength: 1
                            label:
                              type: string
                              minLength: 1
                              maxLength: 255
                            url:
                              type: string
                              minLength: 1
                            source:
                              type: string
                              enum:
                                - upload
                                - url
                                - dam
                                - product_catalog
                                - brand_library
                                - local
                                - generated
                            role:
                              type: string
                              enum:
                                - product
                                - logo
                                - background
                                - reference
                                - copy
                                - audio
                                - video
                            locked_asset:
                              type: boolean
                            can_transform:
                              type: boolean
                            preservation_notes:
                              type: string
                              maxLength: 1000
                            rights:
                              type: object
                              properties:
                                status:
                                  default: unknown
                                  type: string
                                  enum:
                                    - unknown
                                    - owned
                                    - licensed
                                    - restricted
                                    - expired
                                usage:
                                  type: string
                                expires_at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                notes:
                                  type: string
                              required:
                                - status
                              additionalProperties: false
                            dimensions:
                              type: object
                              properties:
                                width:
                                  type: integer
                                  maximum: 9007199254740991
                                  minimum: 1
                                height:
                                  type: integer
                                  maximum: 9007199254740991
                                  minimum: 1
                                duration_seconds:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                              additionalProperties: false
                            render_crop:
                              type: object
                              properties:
                                x:
                                  type: number
                                  minimum: 0
                                  maximum: 1
                                'y':
                                  type: number
                                  minimum: 0
                                  maximum: 1
                                width:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                                  maximum: 1
                                height:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                                  maximum: 1
                                units:
                                  default: normalized
                                  type: string
                                  enum:
                                    - normalized
                                source:
                                  type: string
                                  enum:
                                    - user
                                    - system
                                    - dam
                                    - product_catalog
                                notes:
                                  type: string
                                  maxLength: 500
                              required:
                                - x
                                - 'y'
                                - width
                                - height
                                - units
                              additionalProperties: false
                            checksum:
                              type: string
                              minLength: 1
                            mime_type:
                              type: string
                              minLength: 1
                          required:
                            - label
                            - url
                          additionalProperties: false
                      renditions:
                        type: array
                        items:
                          type: object
                          properties:
                            asset_id:
                              type: string
                              minLength: 1
                            parent_asset_id:
                              type: string
                              minLength: 1
                            rendition_type:
                              type: string
                              enum:
                                - transparent_cutout
                                - thumbnail
                                - render_crop
                            label:
                              type: string
                              minLength: 1
                              maxLength: 255
                            url:
                              type: string
                              minLength: 1
                            source:
                              type: string
                              enum:
                                - upload
                                - url
                                - dam
                                - product_catalog
                                - brand_library
                                - local
                                - generated
                            role:
                              type: string
                              enum:
                                - product
                                - logo
                                - background
                                - reference
                                - copy
                                - audio
                                - video
                            mime_type:
                              type: string
                              minLength: 1
                            width:
                              type: integer
                              maximum: 9007199254740991
                              minimum: 1
                            height:
                              type: integer
                              maximum: 9007199254740991
                              minimum: 1
                            alpha:
                              type: boolean
                            locked_asset:
                              type: boolean
                            can_transform:
                              type: boolean
                            rights:
                              type: object
                              properties:
                                status:
                                  default: inherited
                                  type: string
                                  enum:
                                    - unknown
                                    - owned
                                    - licensed
                                    - restricted
                                    - expired
                                    - inherited
                                usage:
                                  type: string
                                expires_at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                notes:
                                  type: string
                                source_asset_id:
                                  type: string
                                  minLength: 1
                              required:
                                - status
                              additionalProperties: false
                            provenance:
                              type: object
                              properties:
                                method:
                                  type: string
                                  enum:
                                    - background_removal
                                    - thumbnail_generation
                                    - original_has_alpha
                                    - render_crop
                                provider:
                                  type: string
                                  minLength: 1
                                source_checksum:
                                  type: string
                                  minLength: 1
                                created_at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              additionalProperties: false
                            quality:
                              type: object
                              properties:
                                status:
                                  type: string
                                  enum:
                                    - approved
                                    - needs_review
                                    - failed
                                checks:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      code:
                                        type: string
                                        minLength: 1
                                      status:
                                        type: string
                                        enum:
                                          - pass
                                          - warn
                                          - fail
                                      detail:
                                        type: string
                                        maxLength: 1000
                                    required:
                                      - code
                                      - status
                                    additionalProperties: false
                              required:
                                - status
                              additionalProperties: false
                          required:
                            - asset_id
                            - parent_asset_id
                            - rendition_type
                            - label
                            - url
                          additionalProperties: false
                    required:
                      - status
                      - summary
                      - assets
                    additionalProperties: false
                  creative_plan:
                    type: object
                    properties:
                      provider_type:
                        type: string
                        enum:
                          - amazon
                          - audiostack
                          - elevenlabs
                          - fal
                          - gemini
                          - google
                          - linkedin
                          - meta
                          - openai
                          - pinterest
                          - reddit
                          - snap
                          - spotify
                          - tiktok
                          - veo
                      modality:
                        type: string
                        enum:
                          - image
                          - video
                          - audio
                      format_discovery:
                        type: string
                        enum:
                          - static_catalog
                          - adapter_list_creative_formats
                          - planner_default
                      target_format_id:
                        type: object
                        properties:
                          agent_url:
                            type: string
                          id:
                            type: string
                          width:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                          height:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                        required:
                          - agent_url
                          - id
                        additionalProperties: false
                      transformer_id:
                        type: string
                      format_source:
                        type: string
                        enum:
                          - explicit
                          - draft_fallback
                      manifest_strategy:
                        type: string
                        enum:
                          - pass_through
                          - synthesize_required_text_assets
                      generation_strategy:
                        type: string
                        enum:
                          - native_reference_edit
                          - scene_then_locked_composite
                          - text_to_image
                          - audio_script_to_mix
                          - video_text_to_video
                      composition_strategy:
                        type: string
                        enum:
                          - native_integrated_with_locked_final_overlay
                          - deterministic_locked_overlay
                          - native_integrated
                          - none
                      variant_strategy:
                        type: object
                        properties:
                          dimension:
                            type: string
                          values:
                            type: array
                            items:
                              type: string
                          requested_count:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                          feedback_mode:
                            type: string
                            enum:
                              - select_then_refine
                          evaluator_mode:
                            type: string
                            enum:
                              - draft_soft_final_hard
                        required:
                          - values
                          - requested_count
                          - feedback_mode
                          - evaluator_mode
                        additionalProperties: false
                      native_capabilities:
                        type: object
                        properties:
                          reference_image_input:
                            type: boolean
                          native_image_editing:
                            type: boolean
                          locked_asset_compositing:
                            type: boolean
                          audio_duration_targeting:
                            type: boolean
                          audio_language_control:
                            type: boolean
                        required:
                          - reference_image_input
                          - native_image_editing
                          - locked_asset_compositing
                          - audio_duration_targeting
                          - audio_language_control
                        additionalProperties: false
                      required_assets:
                        type: array
                        items:
                          type: object
                          properties:
                            asset_id:
                              type: string
                            asset_type:
                              type: string
                            required:
                              type: boolean
                            source:
                              type: string
                              enum:
                                - format_catalog
                                - planner_default
                          required:
                            - asset_id
                            - asset_type
                            - required
                            - source
                          additionalProperties: false
                    required:
                      - provider_type
                      - modality
                      - format_discovery
                      - target_format_id
                      - format_source
                      - manifest_strategy
                      - generation_strategy
                      - composition_strategy
                      - variant_strategy
                      - native_capabilities
                      - required_assets
                    additionalProperties: false
                  required_placements:
                    type: array
                    items:
                      type: object
                      properties:
                        format_id:
                          type: string
                        agent_url:
                          type: string
                        label:
                          type: string
                        width:
                          type: integer
                          maximum: 9007199254740991
                          minimum: 1
                        height:
                          type: integer
                          maximum: 9007199254740991
                          minimum: 1
                        dimensions:
                          type: string
                      required:
                        - format_id
                        - agent_url
                        - label
                      additionalProperties: false
                  renderer_capabilities:
                    type: array
                    items:
                      type: object
                      properties:
                        format_id:
                          type: string
                        label:
                          type: string
                        modality:
                          type: string
                          enum:
                            - image
                            - video
                            - audio
                            - html
                            - native
                            - unknown
                        renderer:
                          type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - image
                                - video
                                - audio
                                - html
                                - iframe
                                - link
                            label:
                              type: string
                            mime_type:
                              type: string
                            controls:
                              type: boolean
                            canonical:
                              type: boolean
                          required:
                            - kind
                            - label
                          additionalProperties: false
                        dimensions:
                          type: string
                        publisher_context:
                          type: string
                      required:
                        - format_id
                        - label
                        - modality
                        - renderer
                      additionalProperties: false
                  rendering_model:
                    type: object
                    properties:
                      creative_canvas:
                        type: object
                        properties:
                          label:
                            type: string
                          description:
                            type: string
                          includes:
                            type: array
                            items:
                              type: string
                          excludes:
                            type: array
                            items:
                              type: string
                        required:
                          - label
                          - description
                          - includes
                          - excludes
                        additionalProperties: false
                      review_surface:
                        type: object
                        properties:
                          label:
                            type: string
                          description:
                            type: string
                          includes:
                            type: array
                            items:
                              type: string
                          excludes:
                            type: array
                            items:
                              type: string
                        required:
                          - label
                          - description
                          - includes
                          - excludes
                        additionalProperties: false
                    required:
                      - creative_canvas
                      - review_surface
                    additionalProperties: false
                  flow:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        state:
                          type: string
                          enum:
                            - done
                            - current
                            - pending
                        summary:
                          type: string
                      required:
                        - label
                        - state
                        - summary
                      additionalProperties: false
                  variants:
                    type: array
                    items:
                      type: object
                      properties:
                        build_variant_id:
                          type: string
                        parent_build_variant_id:
                          type: string
                        name:
                          type: string
                        direction:
                          type: string
                        rationale:
                          type: string
                        quality:
                          description: Creative quality level per AdCP protocol
                          type: string
                          enum:
                            - draft
                            - production
                        status:
                          type: string
                          enum:
                            - draft
                            - selected
                            - refined
                            - finalized
                        recommended:
                          type: boolean
                        preview:
                          oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - image
                                url:
                                  type: string
                                  minLength: 1
                                alt:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - video
                                url:
                                  type: string
                                  minLength: 1
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - audio
                                url:
                                  type: string
                                  minLength: 1
                                title:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - html
                                html:
                                  type: string
                                  minLength: 1
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - html
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - link
                                url:
                                  type: string
                                  minLength: 1
                                label:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                          type: object
                        score:
                          type: number
                        evaluation:
                          type: array
                          items:
                            type: object
                            properties:
                              evaluator_id:
                                type: string
                                minLength: 1
                              evaluator_version:
                                type: string
                                minLength: 1
                              category:
                                type: string
                                enum:
                                  - readiness
                                  - asset
                                  - brand_brief
                                  - format_seller
                                  - policy_safety
                                  - performance
                              code:
                                type: string
                              label:
                                type: string
                              stage:
                                type: string
                                enum:
                                  - generation
                                  - selection
                                  - refinement
                                  - finalization
                                  - adaptation
                                  - approval
                                  - live_learning
                                  - draft
                                  - final
                              status:
                                type: string
                                enum:
                                  - pass
                                  - warn
                                  - fail
                              detail:
                                type: string
                              severity:
                                type: string
                                enum:
                                  - hard
                                  - soft
                              blocking:
                                type: boolean
                              confidence:
                                type: number
                                minimum: 0
                                maximum: 1
                              evidence_refs:
                                type: array
                                items:
                                  type: string
                                  minLength: 1
                              remediation:
                                type: string
                                maxLength: 1000
                            required:
                              - label
                              - status
                              - detail
                            additionalProperties: false
                      required:
                        - build_variant_id
                        - name
                        - direction
                        - rationale
                        - quality
                        - status
                        - preview
                      additionalProperties: false
                  selected_variant_id:
                    type: string
                  refined_variant_id:
                    type: string
                  format_renders:
                    type: array
                    items:
                      type: object
                      properties:
                        format_id:
                          type: string
                        label:
                          type: string
                        publisher_context:
                          type: string
                        dimensions:
                          type: string
                        renderer:
                          type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - image
                                - video
                                - audio
                                - html
                                - iframe
                                - link
                            label:
                              type: string
                            mime_type:
                              type: string
                            controls:
                              type: boolean
                            canonical:
                              type: boolean
                          required:
                            - kind
                            - label
                          additionalProperties: false
                        preview:
                          oneOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - image
                                url:
                                  type: string
                                  minLength: 1
                                alt:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - video
                                url:
                                  type: string
                                  minLength: 1
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - audio
                                url:
                                  type: string
                                  minLength: 1
                                title:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - html
                                html:
                                  type: string
                                  minLength: 1
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - html
                              additionalProperties: false
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - link
                                url:
                                  type: string
                                  minLength: 1
                                label:
                                  type: string
                                renderer:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                        - audio
                                        - html
                                        - iframe
                                        - link
                                    label:
                                      type: string
                                    mime_type:
                                      type: string
                                    controls:
                                      type: boolean
                                    canonical:
                                      type: boolean
                                  required:
                                    - kind
                                    - label
                                  additionalProperties: false
                              required:
                                - type
                                - url
                              additionalProperties: false
                          type: object
                        evaluation:
                          type: array
                          items:
                            type: object
                            properties:
                              evaluator_id:
                                type: string
                                minLength: 1
                              evaluator_version:
                                type: string
                                minLength: 1
                              category:
                                type: string
                                enum:
                                  - readiness
                                  - asset
                                  - brand_brief
                                  - format_seller
                                  - policy_safety
                                  - performance
                              code:
                                type: string
                              label:
                                type: string
                              stage:
                                type: string
                                enum:
                                  - generation
                                  - selection
                                  - refinement
                                  - finalization
                                  - adaptation
                                  - approval
                                  - live_learning
                                  - draft
                                  - final
                              status:
                                type: string
                                enum:
                                  - pass
                                  - warn
                                  - fail
                              detail:
                                type: string
                              severity:
                                type: string
                                enum:
                                  - hard
                                  - soft
                              blocking:
                                type: boolean
                              confidence:
                                type: number
                                minimum: 0
                                maximum: 1
                              evidence_refs:
                                type: array
                                items:
                                  type: string
                                  minLength: 1
                              remediation:
                                type: string
                                maxLength: 1000
                            required:
                              - label
                              - status
                              - detail
                            additionalProperties: false
                      required:
                        - format_id
                        - label
                        - publisher_context
                        - preview
                      additionalProperties: false
                  next_steps:
                    type: array
                    items:
                      type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - creative_review
                            - asset_rights
                            - seller_formats
                            - performance_measurement
                            - launch_handoff
                        label:
                          type: string
                        status:
                          type: string
                          enum:
                            - done
                            - attention
                            - pending
                            - blocked
                        summary:
                          type: string
                        action:
                          type: string
                      required:
                        - kind
                        - label
                        - status
                        - summary
                      additionalProperties: false
                  notices:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          enum:
                            - variant_count_mismatch
                        severity:
                          type: string
                          enum:
                            - info
                            - warn
                        message:
                          type: string
                      required:
                        - code
                        - severity
                        - message
                      additionalProperties: false
                  finalization:
                    type: object
                    properties:
                      creative_id:
                        type: string
                      manifest_id:
                        type: string
                      sync_status:
                        type: string
                      summary:
                        type: string
                    required:
                      - creative_id
                      - manifest_id
                      - sync_status
                      - summary
                    additionalProperties: false
                required:
                  - creative_session_id
                  - campaign_id
                  - title
                  - persona
                  - brand
                  - objective
                  - prompt
                  - status
                  - flow
                  - variants
                  - format_renders
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      description: Standard error response
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
    ApiError:
      description: Structured error object
      type: object
      properties:
        code:
          description: Machine-readable error code
          type: string
        message:
          description: Human-readable error message
          type: string
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or access token

````